' xls2xmlvss.vbs
'
' Converts <input file> from an Excel workbook to an Excel XML Spreadsheet
' text file and saves the results to <output file>.  Requires 
' Microsoft Excel.
' 
'
'
' Usage:
'  WScript xls2xmlvss.vbs <input file> <output file>

' WdSaveFormat constants, taken from the Word type library
Const xlCSV			= 6	' Comma-separated values
Const xlUnicodeText		= 42	' Tab delimited text file
const xlXMLSpreadsheet = 46

' OpenTextFile iomode constants
Const ForReading = 1
Const ForAppending = 8

Dim oFileSys
Dim oExcel
Dim sTmpName
Dim oDesFile, oTmpFile

Set oFileSys = CreateObject("Scripting.FileSystemObject")
oFileSys.DeleteFile WScript.Arguments(1)

Set oExcel = CreateObject("Excel.Application")

On Error Resume Next

oExcel.Workbooks.Open WScript.Arguments(0), , True
If Err = 0 Then 
	With oExcel.ActiveWorkbook
		.SaveAs WScript.Arguments(1), xlXmlSpreadsheet
		.Close False
	End With
end if

oExcel.Quit
If (Err <> 0) and (Err.Description <> NULL) Then
	MsgBox Err.Description, vbExclamation, "Error"
	Err.Clear
End If